First Central Credit Score
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/individual/credit_scores_first_central/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"bvn": "22244545518"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/individual/credit_scores_first_central/"
payload = { "bvn": "22244545518" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '22244545518'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/individual/credit_scores_first_central/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Individuel
Score de crédit First Central
Récupérez le score de crédit d’un individu auprès du bureau First Central à l’aide de son BVN.
POST
/
api
/
onboarding
/
individual
/
credit_scores_first_central
/
First Central Credit Score
L’endpoint Score de crédit First Central renvoie le score de crédit à la consommation d’un individu auprès du bureau First Central, accompagné de résumés d’état des comptes, des totaux de dettes impayées et des métriques de décomposition du score.
Endpoint
POST /api/onboarding/individual/credit_scores_first_central/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
bvn | string | Oui | Le numéro d’identification bancaire à 11 chiffres de l’individu |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/credit_scores_first_central/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"bvn": "22244545518"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.score.totalConsumerScore | string | Score de crédit global du consommateur |
data.score.description | string | Évaluation du risque (p. ex. "LOW RISK", "HIGH RISK") |
data.score.totalAccounts | string | Comptes totaux au dossier |
data.score.totalaccountinGoodcondition | string | Comptes en bonne situation |
data.score.totalaccountinBadcondition | string | Comptes en mauvaise situation |
data.score.totalOutstandingDebt | string | Dette impayée totale |
data.score.totalAmountOverdue | string | Montant total en retard |
data.score.repaymentHistoryScore | string | Composante du score d’historique de remboursement |
data.score.firstCentralEnquiryResultID | string | Identifiant du résultat de demande First Central |
{
"status": "success",
"data": {
"_id": "64f600608aaf9386c646de32",
"bvn": "22244545518",
"name": "ADELEKE EMMANUEL AYORINDE",
"score": {
"totalConsumerScore": "835",
"description": "LOW RISK",
"totalAccounts": "23",
"scoreDate": "11/23/2023",
"noOfAcctScore": "55/55",
"totalaccountinGoodcondition": "23",
"totalaccountinBadcondition": "0",
"totalOutstandingDebt": "30,719.00",
"totalAccountarrear": "0",
"totalAmountOverdue": "0.00",
"repaymentHistoryScore": "192/192",
"totalAmountOwedScore": "165/165",
"firstCentralEnquiryResultID": "37181617"
},
"searchedDate": "2023-11-23T14:37:04.152Z"
},
"message": "Credit Scores individual first central report details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

